% Demo form Point clustering

% K-means analysis
X=rand(100,10000);
[Q1,S1,progress1]=sr_clustering_pc(X,30);

figure('name','k-means'); 
subplot(2,1,1);
imagesc(S1); 
title('Assignment matrix');

subplot(2,1,2);
plot(2:length(progress1),progress1(2:end)); 
ylabel('trace(SX^{T}XS^{T}D)');
xlabel('iteration')
axis tight;

% Pairwise clustering analysis based on B_{i,j}=exp^{-||x_i-x_j||_F^2/(2sigma_sq)}
Y=rand(100,1000);
expY=exp(sum(Y.^2));
sigma_sq=100;
B=exp(-(log(expY'*expY)-2*Y'*Y)/(2*sigma_sq));
[Q2,S2,progress2]=sr_clustering_pc(B,30);

figure('name','Pairwise'); 
subplot(2,1,1);
imagesc(S2); 
title('Assignment matrix');

subplot(2,1,2);
plot(2:length(progress2),progress2(2:end));  
ylabel('trace(SBS^{T}D)');
xlabel('iteration')
axis tight;